// Generated IDL File (by Great Migrations Studio) 
// Created: 12/3/2025 09:40:17 AM
// Source: C:\windows\SysWow64\olepro32.dll
// typelib filename: olepro32.dll
[
    uuid(BEF6E001-A874-101A-8BBA-00AA00300CAB),
    version(2.0),
    helpstring("Standard OLE Types")
]
library StdType
{
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole32.tlb");

    // Forward declare all types defined in this typelib

    interface IFont;
    dispinterface Font;
    interface IPicture;
    dispinterface Picture;
    coclass StdFont;
    coclass StdPicture;

    typedef [uuid(66504301-BE0F-101A-8BBB-00AA00300CAB), public]
    unsigned long OLE_COLOR;

    typedef [uuid(66504302-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_XPOS_PIXELS;

    typedef [uuid(66504303-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_YPOS_PIXELS;

    typedef [uuid(66504304-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_XSIZE_PIXELS;

    typedef [uuid(66504305-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_YSIZE_PIXELS;

    typedef [uuid(66504306-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_XPOS_HIMETRIC;

    typedef [uuid(66504307-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_YPOS_HIMETRIC;

    typedef [uuid(66504308-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_XSIZE_HIMETRIC;

    typedef [uuid(66504309-BE0F-101A-8BBB-00AA00300CAB), public]
    long OLE_YSIZE_HIMETRIC;

    typedef [uuid(BF030640-9069-101B-AE2D-08002B2EC713), public]
    float OLE_XPOS_CONTAINER;

    typedef [uuid(BF030641-9069-101B-AE2D-08002B2EC713), public]
    float OLE_YPOS_CONTAINER;

    typedef [uuid(BF030642-9069-101B-AE2D-08002B2EC713), public]
    float OLE_XSIZE_CONTAINER;

    typedef [uuid(BF030643-9069-101B-AE2D-08002B2EC713), public]
    float OLE_YSIZE_CONTAINER;

    typedef [uuid(66504313-BE0F-101A-8BBB-00AA00300CAB), public]
    int OLE_HANDLE;

    typedef [uuid(6650430B-BE0F-101A-8BBB-00AA00300CAB), public]
    VARIANT_BOOL OLE_OPTEXCLUSIVE;

    typedef [uuid(BF030644-9069-101B-AE2D-08002B2EC713), public]
    VARIANT_BOOL OLE_CANCELBOOL;

    typedef [uuid(BF030645-9069-101B-AE2D-08002B2EC713), public]
    VARIANT_BOOL OLE_ENABLEDEFAULTBOOL;

    typedef [uuid(6650430A-BE0F-101A-8BBB-00AA00300CAB)]
    enum {
        Unchecked = 0,
        Checked = 1,
        Gray = 2
    } OLE_TRISTATE;

    typedef [uuid(6650430D-BE0F-101A-8BBB-00AA00300CAB), public]
    BSTR FONTNAME;

    typedef [uuid(6650430E-BE0F-101A-8BBB-00AA00300CAB), public]
    currency FONTSIZE;

    typedef [uuid(6650430F-BE0F-101A-8BBB-00AA00300CAB), public]
    VARIANT_BOOL FONTBOLD;

    typedef [uuid(66504310-BE0F-101A-8BBB-00AA00300CAB), public]
    VARIANT_BOOL FONTITALIC;

    typedef [uuid(66504311-BE0F-101A-8BBB-00AA00300CAB), public]
    VARIANT_BOOL FONTUNDERSCORE;

    typedef [uuid(66504312-BE0F-101A-8BBB-00AA00300CAB), public]
    VARIANT_BOOL FONTSTRIKETHROUGH;

    [
        odl,
        uuid(BEF6E002-A874-101A-8BBA-00AA00300CAB),
        helpstring("Font Object")
    ]
    interface IFont : IUnknown {
        [propget]
        HRESULT _stdcall Name([out, retval] BSTR* pname);
        [propput]
        HRESULT _stdcall Name([in] BSTR pname);
        [propget]
        HRESULT _stdcall Size([out, retval] currency* psize);
        [propput]
        HRESULT _stdcall Size([in] currency psize);
        [propget]
        HRESULT _stdcall Bold([out, retval] VARIANT_BOOL* pbold);
        [propput]
        HRESULT _stdcall Bold([in] VARIANT_BOOL pbold);
        [propget]
        HRESULT _stdcall Italic([out, retval] VARIANT_BOOL* pitalic);
        [propput]
        HRESULT _stdcall Italic([in] VARIANT_BOOL pitalic);
        [propget]
        HRESULT _stdcall Underline([out, retval] VARIANT_BOOL* punderline);
        [propput]
        HRESULT _stdcall Underline([in] VARIANT_BOOL punderline);
        [propget]
        HRESULT _stdcall Strikethrough([out, retval] VARIANT_BOOL* pstrikethrough);
        [propput]
        HRESULT _stdcall Strikethrough([in] VARIANT_BOOL pstrikethrough);
        [propget]
        HRESULT _stdcall Weight([out, retval] short* pweight);
        [propput]
        HRESULT _stdcall Weight([in] short pweight);
        [propget]
        HRESULT _stdcall Charset([out, retval] short* pcharset);
        [propput]
        HRESULT _stdcall Charset([in] short pcharset);
        [propget]
        HRESULT _stdcall hFont([out, retval] OLE_HANDLE* phfont);
        HRESULT _stdcall Clone([out] IFont** lplpfont);
        HRESULT _stdcall IsEqual([in] IFont* lpFontOther);
        HRESULT _stdcall SetRatio(
            [in] long cyLogical,
            [in] long cyHimetric);
        HRESULT _stdcall AddRefHfont([in] OLE_HANDLE hFont);
        HRESULT _stdcall ReleaseHfont([in] OLE_HANDLE hFont);
    };

    [
        uuid(BEF6E003-A874-101A-8BBA-00AA00300CAB)
    ]
    dispinterface Font {
    properties:
        [id(00000000)]
        BSTR Name;
        [id(0x00000002)]
        currency Size;
        [id(0x00000003)]
        VARIANT_BOOL Bold;
        [id(0x00000004)]
        VARIANT_BOOL Italic;
        [id(0x00000005)]
        VARIANT_BOOL Underline;
        [id(0x00000006)]
        VARIANT_BOOL Strikethrough;
        [id(0x00000007)]
        short Weight;
        [id(0x00000008)]
        short Charset;
    methods:
    };

    typedef [public]
    Font IFontDisp;

    [
        uuid(0BE35203-8F91-11CE-9DE3-00AA004BB851)
    ]
    coclass StdFont {
        [default] dispinterface Font;
        interface IFont;
    };

    [
        odl,
        uuid(7BF80980-BF32-101A-8BBB-00AA00300CAB),
        helpstring("Picture Object")
    ]
    interface IPicture : IUnknown {
        [propget]
        HRESULT _stdcall Handle([out, retval] OLE_HANDLE* phandle);
        [propget]
        HRESULT _stdcall hPal([out, retval] OLE_HANDLE* phpal);
        [propget]
        HRESULT _stdcall Type([out, retval] short* ptype);
        [propget]
        HRESULT _stdcall Width([out, retval] OLE_XSIZE_HIMETRIC* pwidth);
        [propget]
        HRESULT _stdcall Height([out, retval] OLE_YSIZE_HIMETRIC* pheight);
        HRESULT _stdcall Render(
            [in] int hdc,
            [in] long x,
            [in] long y,
            [in] long cx,
            [in] long cy,
            [in] OLE_XPOS_HIMETRIC xSrc,
            [in] OLE_YPOS_HIMETRIC ySrc,
            [in] OLE_XSIZE_HIMETRIC cxSrc,
            [in] OLE_YSIZE_HIMETRIC cySrc,
            [in] void* lprcWBounds);
        [propput]
        HRESULT _stdcall hPal([in] OLE_HANDLE phpal);
        [propget]
        HRESULT _stdcall CurDC([out, retval] int* phdcOut);
        HRESULT _stdcall SelectPicture(
            [in] int hdcIn,
            [out] int* phdcOut,
            [out] OLE_HANDLE* phbmpOut);
        [propget]
        HRESULT _stdcall KeepOriginalFormat([out, retval] VARIANT_BOOL* pfkeep);
        [propput]
        HRESULT _stdcall KeepOriginalFormat([in] VARIANT_BOOL pfkeep);
        HRESULT _stdcall PictureChanged();
        HRESULT _stdcall SaveAsFile(
            [in] void* lpstream,
            [in] VARIANT_BOOL fSaveMemCopy,
            [out] long* lpcbSize);
        [propget]
        HRESULT _stdcall Attributes([out, retval] long* lpdwAttr);
        HRESULT _stdcall SetHdc([in] OLE_HANDLE hdc);
    };

    [
        uuid(7BF80981-BF32-101A-8BBB-00AA00300CAB)
    ]
    dispinterface Picture {
    properties:
        [id(00000000), readonly]
        OLE_HANDLE Handle;
        [id(0x00000002)]
        OLE_HANDLE hPal;
        [id(0x00000003), readonly]
        short Type;
        [id(0x00000004), readonly]
        OLE_XSIZE_HIMETRIC Width;
        [id(0x00000005), readonly]
        OLE_YSIZE_HIMETRIC Height;
    methods:
        [id(0x00000006)]
        void Render(
            int hdc,
            long x,
            long y,
            long cx,
            long cy,
            OLE_XPOS_HIMETRIC xSrc,
            OLE_YPOS_HIMETRIC ySrc,
            OLE_XSIZE_HIMETRIC cxSrc,
            OLE_YSIZE_HIMETRIC cySrc,
            void* lprcWBounds);
    };

    typedef [public]
    Picture IPictureDisp;

    [
        uuid(0BE35204-8F91-11CE-9DE3-00AA004BB851)
    ]
    coclass StdPicture {
        [default] dispinterface Picture;
        interface IPicture;
    };

};